<!DOCTYPE html>
<html>
<head>
	<title>鼠标移入变换透明度</title>
	<style type="text/css" media="screen">
		#div1{
			width: 200px;
			height:200px;
			background:#444;
			background: red;
			fiiter:alpha(opacity:30);
			opacity:0.3;
		}	
	</style>
	<script type="text/javascript">
		var timer=null;
		var alpha=30;
		window.onload=function(){
			var oDiv=document.getElementById('div1');
			oDiv.onmouseover=function(){
				startMove(100);
			};
			oDiv.onmouseout=function(){
				startMove(30);
			};
		};
		function startMove(iTarget){
			var oDiv=document.getElementById('div1');
			clearInterval(timer);
			timer=setInterval(function(){
				var  speed=0;
				if(alpha<iTarget){
					speed=10;
				}else{
					speed=-10;
				}
				if(alpha==iTarget){
					clearInterval(timer);
				}else{
					alpha+=speed;
					oDiv.style.filter='alpha(opacity='+alpha+')';
					oDiv.style.opacity=alpha/100;
				}
			},30);
		};
	</script>
</head>
<body>
	<div id="div1">
		
	</div>
</body>
</html>